
Katello - Bug #4647

UI: Repository: "Sync Now"  available on a feedless repository

03/13/2014 01:04 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee:    

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112782 Red Hat JIRA:  

Pull request:    

Description

Since a user cannot sync a repo that doesn't contain a feed (URL), we probably should not make the 'Sync Now' button available.

1. create a product

2. create a repo without a URL (feed)

3a. from from the product list, check the repo

- observe that 'Sync Now' is available for the repo

3b. select the repo, opening it's edit pane

- observe that 'Sync Now' is available for the repo

Associated revisions

Revision 0f89dac3 - 06/19/2014 12:56 PM - Eric Helms

Fixes #4647: Hide 'Sync Now' button on feedless repositories.

Revision f45904e6 - 06/19/2014 04:56 PM - Eric Helms

Fixes #4647: Hide 'Sync Now' button on feedless repositories.

Revision 8d22f39e - 06/19/2014 05:39 PM - Eric Helms

Merge pull request #4306 from ehelms/fixes-4647

Fixes #4647: Hide 'Sync Now' button on feedless repositories.

History

#1 - 03/13/2014 01:16 PM - Brad Buckingham

- Category set to Web UI

#2 - 06/04/2014 01:00 AM - Eric Helms

- Target version set to 45

- Difficulty set to easy

- Triaged set to Yes

#3 - 06/16/2014 12:19 PM - Eric Helms

- Target version changed from 45 to 48

#4 - 06/19/2014 05:52 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:f45904e6d258b2e77dee754898adaedfd26066ed.
#5 - 06/24/2014 04:26 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112782

#6 - 08/21/2014 02:30 PM - Eric Helms

- translation missing: en.field_release set to 13
